summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 67dac28)
raw | patch | inline | side by side (parent: 67dac28)
author | Bryan Donlan <bdonlan@fushizen.net> | |
Fri, 28 Mar 2008 06:19:46 +0000 (02:19 -0400) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Mon, 31 Mar 2008 05:21:06 +0000 (22:21 -0700) |
Pass --quiet to cpio in git-clone to hide the (confusing) "0 blocks" message.
For compatibility with operating systems which might not support GNUisms,
the presence of --quiet is probed for by grepping cpio's --help output.
Signed-off-by: Bryan Donlan <bdonlan@fushizen.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
For compatibility with operating systems which might not support GNUisms,
the presence of --quiet is probed for by grepping cpio's --help output.
Signed-off-by: Bryan Donlan <bdonlan@fushizen.net>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-clone.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index e98112277839349a47c26e69ce30982604d12d2c..2636159aaa7a6278d9b8fc64b853b319ac8da123 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
mkdir -p "$GIT_DIR/objects/info"
echo "$repo/objects" >>"$GIT_DIR/objects/info/alternates"
else
+ cpio_quiet_flag=""
+ cpio --help 2>&1 | grep -- --quiet >/dev/null && \
+ cpio_quiet_flag=--quiet
l= &&
if test "$use_local_hardlink" = yes
then
fi
fi &&
cd "$repo" &&
- find objects -depth -print | cpio -pumd$l "$GIT_DIR/" || exit 1
+ find objects -depth -print | cpio $cpio_quiet_flag -pumd$l "$GIT_DIR/" || \
+ exit 1
fi
git-ls-remote "$repo" >"$GIT_DIR/CLONE_HEAD" || exit 1
;;